%define name	opengroupware-pilot-link
%define version 0.11.8
%define cvs	20040523
%define release %mkrel %{cvs}.2

%ifarch %ix86 amd64 x86_64
  %define dirarch ix86
%endif
%ifarch %ppc
  %define dirarch ppc
%endif
%ifarch sparc
  %define dirarch sparc
%endif
%ifarch alpha
  %define dirarch alpha
%endif

%define _provides_exceptions libpisock.so.8

Summary:     Libpisock library for OpenGroupware.org
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     GPL
URL:         http://www.opengroupware.org
Group:       System/Libraries
Prefix:      %{_libdir}/opengroupware.org/system
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make
Source:      opengroupware.org-pilot-link-%{cvs}.tar.bz2
BuildRequires:    opengroupware-gstep-make opengroupware-gstep-make-devel

%description
This package contains the libpisock library for processing Palm
databases and connections. The RPM is compiled to run in the OpenGroupware
application server environment.

%package devel
Summary: The header files for the libpisock library.
Group:   Development/Other
Requires: %{name}

%description devel
The devel package contains the header files for the libpisock library.

%prep
%setup -q -n opengroupware.org-pilot-link
  
%build
%configure 
source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}

./cfg-gnustep.sh
make -s

%install
rm -rf $RPM_BUILD_ROOT

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_SYSTEM_ROOT=${RPM_BUILD_ROOT}%{prefix}

./cfg-gnustep.sh
make -s debug=yes GNUSTEP_INSTALLATION_DIR="${GNUSTEP_SYSTEM_ROOT}" install
mkdir -p $RPM_BUILD_ROOT%{prefix}/Headers
mv $RPM_BUILD_ROOT%{prefix}/include/* $RPM_BUILD_ROOT%{prefix}/Headers
rm -rf $RPM_BUILD_ROOT%{prefix}/include
mkdir -p $RPM_BUILD_ROOT%{prefix}/Libraries/%{dirarch}/linux-gnu
mv $RPM_BUILD_ROOT%{prefix}/lib/* $RPM_BUILD_ROOT%{prefix}/Libraries/%{dirarch}/linux-gnu
rm -rf $RPM_BUILD_ROOT%{prefix}/lib
rm -rf $RPM_BUILD_ROOT%{prefix}/share


%pre
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi

if ! test -d ${RPM_INSTALL_PREFIX}; then
  echo "missing RPM install path: ${RPM_INSTALL_PREFIX} !"
  exit 1
fi

GSCFG="${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh"
if ! test -f $GSCFG ; then
  echo "missing GNUstep environment: ${GSCFG} !"
  exit 2
fi
exit 0

%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi
/sbin/ldconfig -n $RPM_INSTALL_PREFIX/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README README.OGo INSTALL COPYING ChangeLog.OGo COPYING.LIB

%{prefix}/Libraries/%{dirarch}/linux-gnu/libpisock.so.8
%{prefix}/Libraries/%{dirarch}/linux-gnu/libpisock.so.8.0.5

%files devel
%defattr(-,root,root,-)
%{prefix}/Headers/pi-*.h
%{prefix}/Libraries/%{dirarch}/linux-gnu/libpisock.a
%{prefix}/Libraries/%{dirarch}/linux-gnu/libpisock.la
%{prefix}/Libraries/%{dirarch}/linux-gnu/libpisock.so

%changelog
* Thu Feb 23 2006 Olivier Blin <blino@n3.mandriva.com> 0.11.8-20040523.1.1.20060mdk
- backport from cooker (from Marcel Pol):
  o do not provide libpisock.so.8 (bug #18056)
  o quiet setup

* Mon May 24 2004 Spencer Anderson <sdander@oberon.ark.com> 0.11.8-20040523.1mdk
- 20040523
- make arch aware

* Thu Feb 12 2004 Spencer Anderson <sdander@oberon.ark.com> 0.11.8-20040204.1mdk
- 20040204

* Fri Dec 5 2003 Spencer Anderson <sdander@oberon.ark.com> 0.11.8-20031201.1mdk
- new module for OGo
- initial Mandrake release
